{-# LANGUAGE ImportQualifiedPost #-}
{-# LANGUAGE TypeApplications #-}
module Main (main) where

import Data.ByteString.Lazy qualified as ByteString

import Language.Java.Classfile (Classfile)
import Language.Java.Classfile.Extract (runExtract)
import Language.Java.Classfile.Extractable (extract)

main :: IO ()
main = do
  input <- ByteString.getContents
  print $ runExtract input (extract @Classfile)
